#
# spec file for package python-extras
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# A build cycle exists between python-extras and python-testtools. Thus, only
# enable testing with a build conditional (off by default):
%bcond_with tests

Name:           python-extras
Version:        0.0.3
Release:        14.2
Summary:        Useful extra bits for Python
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/testing-cabal/extras
Source:         http://pypi.python.org/packages/source/e/extras/extras-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
%if %{with tests}
BuildRequires:  python-testtools
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.

%prep
%setup -q -n extras-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%if %{with tests}
%check
python setup.py test
%endif

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README.rst
%{python_sitelib}/extras-%{version}-py%{py_ver}.egg-info/
%{python_sitelib}/extras

%changelog
* Fri Mar  7 2014 speilicke@suse.com
- Add 'tests' build conditional
* Mon Nov 25 2013 speilicke@suse.com
- Drop nose buildrequires, use testtools directly
* Mon Apr 29 2013 dmueller@suse.com
- update to 0.0.3:
  * Fix support with older testtools
* Mon Jan 14 2013 saschpe@suse.de
- Run testsuite
- Add documentation
- Use SPDX style license (MIT)
* Mon Jan 14 2013 dmueller@suse.com
- Initial package (0.0.2)
